Commit 59298ffd authored by Anton Midyukov's avatar Anton Midyukov

Merge tag 'v1.5.11' into sisyphus

v1.5.11 - init: add setup-vconsole-kludge for aarch64 also - arm-rpi4: copy dtb from vendor broadcom dir, if exists - l10n: create the X11 settings for keyboard layoutsk instead Xkbmap - l10n: drop variable XKB_LED, XKB_VARIANTS - l10n: use alt+shift by default - regular.mk: remove unused targets - browser, live: drop use/browser/firefox/live, drop otter-browser - install2, live-install: fallback INSTALLER=regular - x11-autologin: fix setup autologin for gdm >= 45 - install2: Add OEM mode for installer - latests commits for Alt Server (from @jqt4)
parents 24412ac0 ba8878d3
......@@ -11,4 +11,8 @@ distro/.desktop-network: distro/.desktop-mini mixin/desktop-installer; @:
#distro/icewm: distro/.desktop-network use/lowmem use/install2/fs +icewm; @:
#distro/ltsp-icewm: distro/icewm +ltsp; @:
# check OEM mode install (without DE)
distro/install-oem: distro/.regular-install-x11-systemd use/install2/oem
@$(call add,STAGE2_BOOTARGS,oem oem_initrd)
endif
......@@ -27,6 +27,7 @@ mixin/alt-server: +installer +systemd \
use/tty
@$(call set,INSTALLER,centaurus)
@$(call set,BRANDING,alt-server)
@$(call set,THE_APT_CONF,branch-gostcrypto)
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call set,BOOTLOADER,grubpcboot)
endif
......@@ -75,7 +76,7 @@ endif
@$(call add,COMMON_PACKAGES,vim-console)
@$(call add,DEFAULT_SERVICES_ENABLE,rpcbind sshd bind)
@$(call add,DEFAULT_SYSTEMD_SERVICES_ENABLE,systemd-networkd.service)
@$(call set,META_VOL_ID,ALT Server 10.1 $(ARCH))
@$(call set,META_VOL_ID,ALT Server 10.2 $(ARCH))
@$(call set,META_PUBLISHER,BaseALT Ltd)
@$(call set,META_VOL_SET,ALT)
@$(call set,META_APP_ID,ALT Server 10.1 $(ARCH) $(shell date +%F))
@$(call set,META_APP_ID,ALT Server 10.2 $(ARCH) $(shell date +%F))
......@@ -38,8 +38,7 @@ mixin/e2k-mate: use/e2k/x11 use/x11/xorg use/fonts/install2 \
@$(call add,THE_PACKAGES,zsh bash-completion)
### regular.mk
mixin/regular-x11: use/luks use/volumes/alt-workstation \
use/browser/firefox use/kernel/disable-usb-autosuspend \
mixin/regular-x11: use/browser/firefox \
use/branding use/ntp/chrony use/services/lvm2-disable
@$(call add,THE_LISTS,$(call tags,(base || desktop) && regular && !extra))
@$(call add,THE_PACKAGES,disable-usb-autosuspend)
......
......@@ -29,7 +29,7 @@ vm/.phosh: vm/systemd mixin/phone-base mixin/phosh +systemd \
mixin/waydroid use/fonts/ttf/google
@$(call add,THE_LISTS,mobile/apps)
vm/phosh: vm/.phosh use/tty/S0 use/uboot use/phone +efi \
vm/phosh: vm/.phosh use/tty/S0 use/uboot use/phone/ttyescape +efi \
use/firmware +x11 +plymouth +vmguest
@$(call set,KFLAVOURS,un-def)
ifeq (aarch64,$(ARCH))
......@@ -41,7 +41,7 @@ endif
ifeq (aarch64,$(ARCH))
# TODO: devicetree ($root)/boot/dtb/rockchip/rk3399-pinephone-pro.dtb
mixin/pinephone: use/x11/armsoc use/firmware use/bootloader/uboot use/tty/S2 \
use/phone
use/phone/ttyescape
@$(call set,EFI_BOOTLOADER,)
@$(call set,UBOOT_TIMEOUT,5)
@$(call set,KFLAVOURS,pine)
......
......@@ -14,7 +14,8 @@ distro/.regular-bare: distro/.base use/kernel/net use/docs/license \
# base target (for most images)
distro/.regular-base: distro/.regular-bare use/vmguest use/memtest \
use/efi/shell use/efi/dtb +efi; @:
use/efi/shell use/efi/dtb +efi \
use/luks use/volumes/regular; @:
ifeq (,$(filter-out p10,$(BRANCH)))
ifeq (,$(filter-out x86_64 aarch64,$(ARCH)))
@$(call set,KFLAVOURS,un-def)
......@@ -47,7 +48,6 @@ endif
distro/.regular-wm: distro/.regular-x11 \
mixin/regular-desktop \
use/live/rw +live-installer
@$(call set,INSTALLER,alt-workstation)
@$(call set,GRUB_DEFAULT,live)
@$(call set,SYSLINUX_DEFAULT,live)
......@@ -81,7 +81,7 @@ distro/.regular-jeos-base: distro/.regular-bare \
use/isohybrid use/branding \
use/install2/repo use/install2/packages \
use/net/etcnet
@$(call set,INSTALLER,altlinux-generic)
@$(call set,INSTALLER,jeos)
@$(call add,INSTALL2_BRANDING,alterator notes)
@$(call add,THE_BRANDING,alterator) # just to be cleaned up later on
@$(call add,THE_PACKAGES,apt basesystem dhcpcd vim-console su agetty)
......@@ -94,7 +94,7 @@ distro/.regular-jeos: distro/.regular-jeos-base \
@$(call add,BASE_PACKAGES,make-initrd-mdadm cpio)
distro/.regular-jeos-full: distro/.regular-jeos use/install2/vmguest \
use/volumes/jeos use/ntp/chrony use/bootloader/grub \
use/volumes/regular use/ntp/chrony use/bootloader/grub \
use/grub/localboot_bios.cfg use/kernel/latest +efi
@$(call add,BASE_PACKAGES,nfs-utils gdisk)
@$(call add,INSTALL2_PACKAGES,fdisk)
......@@ -119,17 +119,9 @@ distro/regular-jeos-systemd: distro/.regular-jeos-full \
+systemd +systemd-optimal
@$(call add,BASE_PACKAGES,glibc-locales)
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
# NB: no +efi as it brings in grub2 (no ELILO support for system boot)
distro/regular-jeos-ovz: distro/.regular-jeos use/cleanup/jeos/full +sysvinit \
use/server/ovz-base use/control/server/ldv use/firmware
@$(call add,THE_PACKAGES,ipmitool lm_sensors3 mailx)
endif
distro/.regular-install-x11: distro/.regular-install +vmguest +wireless \
use/install2/suspend mixin/regular-desktop mixin/regular-x11 \
use/branding/complete use/branding/slideshow/once
@$(call set,INSTALLER,alt-workstation)
# assumes somewhat more experienced user
distro/.regular-install-x11-full: distro/.regular-install-x11 \
......@@ -203,10 +195,6 @@ distro/regular-deepin: distro/.regular-gtk mixin/regular-deepin; @:
distro/regular-kde5: distro/.regular-desktop +nm \
mixin/regular-kde5 use/domain-client +plymouth; @:
distro/regular-robo: distro/regular-mate use/live/ru use/x11/3d
@$(call add,THE_LISTS,robotics/reprap)
@$(call add,THE_LISTS,robotics/umki)
distro/regular-rescue: distro/.regular-base mixin/regular-rescue use/rescue/rw \
use/hdt use/syslinux/rescue_fm.cfg use/syslinux/rescue_remote.cfg \
use/grub/rescue_fm.cfg use/grub/rescue_remote.cfg \
......@@ -222,7 +210,6 @@ distro/regular-rescue-netbootxyz: distro/.regular-bare mixin/regular-rescue
distro/.regular-server-base: distro/.regular-install use/server/base
@$(call add,THE_LISTS,$(call tags,server && (regular || network)))
@$(call set,INSTALLER,altlinux-server)
@$(call add,SYSTEM_PACKAGES,multipath-tools)
@$(call add,INSTALL2_PACKAGES,installer-feature-multipath)
......@@ -251,34 +238,8 @@ distro/.regular-server-full: distro/.regular-server-managed \
distro/regular-server-systemd: distro/.regular-server-full \
+systemd +systemd-optimal; @:
distro/regular-server-sysv: distro/.regular-server-full +sysvinit +power; @:
ifeq (,$(filter-out x86_64,$(ARCH)))
distro/.regular-server-ovz: distro/.regular-server \
use/server/ovz use/server/groups/tools use/cleanup/x11-alterator
@$(call add,MAIN_GROUPS,tools/vzstats)
distro/regular-server-ovz: distro/.regular-server-ovz +systemd; @:
distro/regular-server-ovz-sysv: distro/.regular-server-ovz +sysvinit; @:
endif
distro/regular-server-hyperv: distro/.regular-server-managed \
use/kernel/latest +systemd
@$(call add,THE_PACKAGES,hyperv-daemons)
@$(call add,DEFAULT_SERVICES_DISABLE,bridge smartd)
@$(call add,DEFAULT_SERVICES_DISABLE,cpufreq-simple powertop)
distro/regular-server-pve: distro/.regular-server-base +systemd \
use/kernel/server use/firmware/qlogic
@$(call set,INSTALLER,altlinux-server)
@$(call add,INSTALL2_PACKAGES,installer-feature-pve)
@$(call add,THE_PACKAGES,pve-manager nfs-clients su)
@$(call add,THE_PACKAGES,dhcpcd faketime tzdata postfix)
@$(call add,DEFAULT_SERVICES_DISABLE,pve-manager pve-cluster \
pve-firewall pve-ha-crm pve-manager pveproxy pvedaemon \
pvefw-logger pve-ha-lrm pvenetcommit pvestatd spiceproxy)
distro/.regular-builder: distro/.regular-base mixin/regular-builder \
use/stage2/kms use/firmware +power \
use/live/base use/live/rw use/live/repo use/live/textinstall \
......@@ -297,24 +258,4 @@ distro/regular-builder-sysv: distro/.regular-builder +sysvinit \
use/dev/builder/live/sysv
@$(call add,THE_PACKAGES,livecd-net-eth)
@$(call add,DEFAULT_SERVICES_ENABLE,gpm)
distro/regular-server-samba4: distro/.regular-server-managed +systemd
@$(call add,THE_LISTS,$(call tags,server && (sambaDC || alterator)))
@$(call add,THE_PACKAGES,alterator-dhcp)
@$(call add,DEFAULT_SERVICES_DISABLE,smbd nmbd winbind)
distro/regular-server-lxd: distro/.regular-bare \
use/isohybrid +power \
use/live/base use/live/rw use/live/repo/online use/live/textinstall \
use/lxc/lxd use/tty/S0 use/init/systemd/multiuser use/kernel/latest
@$(call add,DEFAULT_SERVICES_ENABLE,sshd)
@$(call add,DEFAULT_SERVICES_ENABLE,lxd-startup lxd-bridge lxcfs cgmanager)
@$(call add,DEFAULT_SERVICES_ENABLE,getty@tty1 getty@ttyS0)
@$(call add,DEFAULT_SERVICES_ENABLE,livecd-net-eth)
endif
ifeq (ve,$(IMAGE_CLASS))
ve/docker-sisyphus: ve/docker; @:
ve/regular-chroot: ve/generic; @:
endif
......@@ -21,18 +21,28 @@ cp /usr/share/raspberrypi-firmware/*.{bin,dat,elf} /boot/efi/
/boot/efi/uboot-rpi_4_32b.bin
# copy actualy dtb's for default kernel
cp /boot/dtb/bcm27*-rpi-*.dtb /boot/efi/ || :
if [ -d /boot/dtb/broadcom ]; then
DTB_DIR=/boot/dtb/broadcom
elif [ -d /boot/dtb ]; then
DTB_DIR=/boot/dtb
else
echo "Error: /boot/dtb/broadcom or /boot/dtb is not exists!!!" >&2
exit 1
fi
cp "$DTB_DIR"/bcm27*-rpi-*.dtb /boot/efi/ || :
[ -f /boot/efi/bcm2710-rpi-3-b.dtb ] ||
cp /boot/dtb/bcm2837-rpi-3-b.dtb \
cp "$DTB_DIR"/bcm2837-rpi-3-b.dtb \
/boot/efi/bcm2710-rpi-3-b.dtb || :
[ -f /boot/efi/bcm2710-rpi-3-b-plus.dtb ] ||
cp /boot/dtb/bcm2837-rpi-3-b-plus.dtb \
cp "$DTB_DIR"/bcm2837-rpi-3-b-plus.dtb \
/boot/efi/bcm2710-rpi-3-b-plus.dtb || :
[ -f /boot/efi/bcm2710-rpi-cm3.dtb ] ||
cp /boot/dtb/bcm2837-rpi-cm3-io3.dtb \
cp "$DTB_DIR"/bcm2837-rpi-cm3-io3.dtb \
/boot/efi/bcm2710-rpi-cm3.dtb || :
[ -f /boot/efi/bcm2711-rpi-cm4.dtb ] ||
cp /boot/dtb/bcm2711-rpi-cm4-io.dtb \
cp "$DTB_DIR"/bcm2711-rpi-cm4-io.dtb \
/boot/efi/bcm2711-rpi-cm4.dtb || :
[ -d /boot/dtb/overlays ] &&
cp -r /boot/dtb/overlays /boot/efi/ || :
......
......@@ -4,12 +4,12 @@ use/browser:
@$(call try,THE_BROWSER,elinks) # X11-less fallback
# amend as neccessary; firefox is treated separately due to its flavours
BROWSERS_i586 = netsurf epiphany falkon otter-browser elinks links2
BROWSERS_i586 = netsurf epiphany falkon elinks links2
BROWSERS_x86_64 := $(BROWSERS_i586) chromium seamonkey
BROWSERS_ppc64el = netsurf epiphany falkon otter-browser elinks links2
BROWSERS_aarch64 = chromium netsurf epiphany falkon otter-browser elinks links2
BROWSERS_armh = netsurf epiphany falkon otter-browser elinks links2
BROWSERS_mipsel = seamonkey netsurf epiphany falkon otter-browser \
BROWSERS_ppc64el = netsurf epiphany falkon elinks links2
BROWSERS_aarch64 = chromium netsurf epiphany falkon elinks links2
BROWSERS_armh = netsurf epiphany falkon elinks links2
BROWSERS_mipsel = seamonkey netsurf epiphany falkon \
elinks links2
BROWSERS_riscv64 = epiphany midori netsurf elinks
BROWSERS_e2k = netsurf elinks links2
......@@ -43,6 +43,3 @@ use/browser/firefox/esr: ; @:
ifneq (,$(filter-out riscv64,$(ARCH)))
@$(call set,FX_FLAVOUR,-esr)
endif
use/browser/firefox/live: use/browser/firefox
@$(call add,THE_BROWSER,livecd-firefox)
......@@ -33,7 +33,7 @@ use/init/systemd: use/init
use/init/systemd/full: use/init/systemd
@$(call add,THE_PACKAGES,chkconfig)
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
ifeq (,$(filter-out i586 x86_64 aarch64,$(ARCH)))
@$(call add,THE_PACKAGES,vconsole-setup-kludge)
endif
......
......@@ -6,7 +6,7 @@ use/install2: use/stage2 sub/stage2@install2 use/metadata \
use/cleanup/installer use/install2/autoinstall use/grub/install2.cfg
@$(call add_feature)
@$(call add,INSTALL2_PACKAGES,installer-common-stage2)
@$(call try,INSTALLER,altlinux-generic) # might be replaced later
@$(call try,INSTALLER,regular) # might be replaced later
@$(call add,INSTALL2_PACKAGES,installer-distro-$$(INSTALLER)-stage2)
@$(call add,INSTALL2_PACKAGES,branding-$$(BRANDING)-alterator)
@$(call add,BASE_PACKAGES,branding-$$(BRANDING)-release)
......@@ -30,6 +30,11 @@ use/install2/full: \
@$(call add,INSTALL2_PACKAGES,xorg-drv-synaptics)
@$(call add,INSTALL2_PACKAGES,xorg-drv-libinput)
use/install2/oem: use/install2
@$(call add,INSTALL2_PACKAGES,installer-feature-oem-stage2)
@$(call add,MAIN_PACKAGES,alterator-setup)
@$(call add,MAIN_PACKAGES,installer-feature-alterator-setup-stage2)
use/install2/lvm: use/install2
@$(call add,INSTALL2_PACKAGES,lvm2)
@$(call add,BASE_PACKAGES,lvm2)
......
......@@ -14,23 +14,21 @@ use/l10n:
@$(call xport,LOCALE)
@$(call xport,LOCALES)
@$(call xport,XKB_KEYMAPS)
@$(call xport,XKB_VARIANTS)
@$(call xport,XKB_SWITCH)
@$(call xport,XKB_LED)
# see also alterator-sysconfig backend
use/l10n/xkb/switch/ctrl_shift: use/l10n
@$(call set,XKB_SWITCH,grp:ctrl_shift_toggle)
use/l10n/xkb/led/scroll: use/l10n
@$(call set,XKB_LED,grp_led:scroll)
use/l10n/xkb/switch/alt_shift: use/l10n
@$(call set,XKB_SWITCH,grp:alt_shift_toggle)
# FIXME: derive from locale by default if possible
use/l10n/ru_RU: use/l10n/xkb/switch/ctrl_shift use/l10n/xkb/led/scroll
use/l10n/ru_RU: use/l10n/xkb/switch/alt_shift
@$(call add,LOCALES,ru_RU)
@$(call set,LOCALE,ru_RU)
@$(call add,XKB_KEYMAPS,ru)
@$(call set,KEYTABLE,ruwin_ct_sh-UTF-8)
@$(call set,KEYTABLE,ruwin_alt_sh-UTF-8)
# NB: BOOT_LANG is used within mkimage internally
use/l10n/default/ru_RU: use/l10n/ru_RU
......
#!/bin/sh
# partial port of livecd-setlocale (xkb bits)
PREFIX=/etc/X11/xinit
PREFIX=/etc/X11/xorg.conf.d
# Requires: xinitrc
# Requires: xorg-server-common
if [ ! -d "$PREFIX" ]; then
echo "** l10n-xkb: expected $PREFIX to exist (xinitrc)" >&2
echo "** l10n-xkb: expected $PREFIX to exist (xorg-server-common)" >&2
exit 0
fi
if [ -z "$GLOBAL_XKB_VARIANTS" -o -z "$GLOBAL_XKB_KEYMAPS" ]; then
echo "** l10n-xkb: empty GLOBAL_XKB_VARIANTS/GLOBAL_XKB_KEYMAPS" >&2
if [ -z "$GLOBAL_XKB_KEYMAPS" ]; then
echo "** l10n-xkb: empty GLOBAL_XKB_KEYMAPS" >&2
exit 0
fi
echo "-option $GLOBAL_XKB_SWITCH${GLOBAL_XKB_LED:+,$GLOBAL_XKB_LED} \
${GLOBAL_XKB_VARIANTS:+-variant $GLOBAL_XKB_VARIANTS} \
-layout $GLOBAL_XKB_KEYMAPS" > "$PREFIX"/Xkbmap
cat > "$PREFIX/00-keyboard.conf" << EOF
Section "InputClass"
Identifier "system-keyboard"
MatchIsKeyboard "on"
Option "XkbLayout" "$GLOBAL_XKB_KEYMAPS"
Option "XkbOptions" "$GLOBAL_XKB_SWITCH"
EndSection
EOF
......@@ -2,14 +2,7 @@
XKB_KEYMAPS := $(subst $(SPACE),$(COMMA),$(XKB_KEYMAPS))
# handle the layouts with a specific variant in the wild
XKB_VARIANTS := $(subst ru,winkeys, \
$(subst ua,winkeys, \
$(subst be,winkeys, \
$(subst us,,$(XKB_KEYMAPS)))))
debug::
@echo "** live: LOCALES: $(LOCALES)"
@echo "** live: LOCALE: $(LOCALE)"
@echo "** live: XKB_KEYMAPS: $(XKB_KEYMAPS)"
@echo "** live: XKB_VARIANTS: $(XKB_VARIANTS)"
......@@ -11,7 +11,7 @@ use/live-install: use/live use/metadata use/repo/main \
@$(call add,LIVE_PACKAGES,installer-livecd-install)
@$(call add,LIVE_PACKAGES,alterator-postinstall) # for auto install
@$(call add,LIVE_PACKAGES,xterm) # for vnc support
@$(call try,INSTALLER,altlinux-generic) # might be replaced later
@$(call try,INSTALLER,regular) # might be replaced later
@$(call add,LIVE_PACKAGES,installer-distro-$$(INSTALLER)-stage2)
@$(call add,LIVE_PACKAGES,branding-$$(BRANDING)-alterator)
@$(call add,LIVE_PACKAGES,branding-$$(BRANDING)-release)
......
......@@ -43,7 +43,7 @@ use/live/x11: use/live/base use/deflogin/desktop use/x11-autologin use/sound \
# this target specifically pulls free xorg drivers in (and a few more bits);
# a browser is requested too, the recommended one can be overridden downstream
use/live/desktop: use/live/x11 use/x11/xorg use/x11/wacom \
use/l10n use/browser/firefox/live use/xdg-user-dirs/deep \
use/l10n use/browser/firefox use/xdg-user-dirs/deep \
use/syslinux/localboot.cfg use/grub/localboot_bios.cfg +vmguest; @:
# preconfigure apt for both live and installed-from-live systems
......
use/phone:
@$(call add_feature)
@$(call add,THE_PAKAGES,wallpapers-mobile)
# enables tty on the phone using a hotkey
use/phone/ttyescape: use/phone use/services
@$(call add,THE_PACKAGES,hkdm ttyescape)
@$(call add,DEFAULT_SYSTEMD_SERVICES_ENABLE,hkdm)
......@@ -76,9 +76,9 @@ AUTOLOGIN_LIGHTDM
restore_later "/etc/group"
fi
## gdm2 autologin
GDM_CONF=/etc/X11/gdm/custom.conf
if [ -f "$GDM_CONF" ]; then
## gdm autologin
for GDM_CONF in /etc/gdm/custom.conf /etc/X11/gdm/custom.conf; do
[ -f "$GDM_CONF" ] || continue
backup "$GDM_CONF"
sed -i -e '/\[daemon\]/aAutomaticLoginEnable=true\nAutomaticLogin='$USER \
"$GDM_CONF"
......@@ -87,8 +87,7 @@ if [ -f "$GDM_CONF" ]; then
restore_later "$GDM_CONF"
restore_later "/etc/group"
fi
done
## lxdm autologin
LXDM_CONF=/etc/lxdm/lxdm.conf
......
......@@ -113,3 +113,14 @@ seavgabios
haproxy
keepalived
eepm
# gostcrypo repo component is needed
openvpn-gostcrypto
openvpn-plugins-gostcrypto
openssh-gostcrypto
openssh-common-gostcrypto
openssh-askpass-common-gostcrypto
openssh-clients-gostcrypto
openssh-server-control-gostcrypto
openssh-server-gostcrypto
virtualbox-guest-additions@X86
kernel-modules-virtualbox-addition-std-def@X86
......@@ -12,6 +12,7 @@ man-pages
util-linux
eject
binutils
usbutils
# Package management
apt-repo
......
synaptic
synaptic-usermode
userpasswd
xdg-user-dirs
alterator-browser-qt
......@@ -36,7 +34,6 @@ cpu-x@X86
exfatprogs
hdparm
inxi
lcdtest
lm_sensors3
lsblk
sdparm
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment